LibreOffice: XDrawSubController Interface Reference

LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XDrawSubController Interface Reference

View dependent part of the Draw and Impress controller. More...

`import "XDrawSubController.idl";`

Inheritance diagram for XDrawSubController:

## Exported Interfaces
interface | com::sun::star::drawing::XDrawView
interface | com::sun::star::view::XSelectionSupplier
interface | com::sun::star::beans::XFastPropertySet
| This narrow interface is used to pass property values to and from the sub controller.

## Additional Inherited Members
Public Member Functions inherited from XDrawView
void | setCurrentPage ([in] com::sun::star::drawing::XDrawPage xPage)
| changes the current page.
com::sun::star::drawing::XDrawPage | getCurrentPage ()
| returns the current page.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XSelectionSupplier
boolean | select ([in] any xSelection) raises ( com::sun::star::lang::IllegalArgumentException )
| selects the object represented by xSelection if it is known and selectable in this object.
any | getSelection ()
void | addSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| registers an event listener, which is called when the selection changes.
void | removeSelectionChangeListener ([in] com::sun::star::view::XSelectionChangeListener xListener)
| unregisters an event listener which was registered with XSelectionSupplier::addSelectionChangeListener().
Public Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

View dependent part of the Draw and Impress controller.

During the lifetime of an Impress application the com::sun::star::drawing::DrawingDocumentDrawView changes its sub controllers whenever the view in the center pane is replaced by another one. The sub controller handles the things that are not common to all views, i.e. properties, the current page/slide, and the selection.

## Exported Interfaces

## ◆ com::sun::star::beans::XFastPropertySet

interface com::sun::star::beans::XFastPropertySet

This narrow interface is used to pass property values to and from the sub controller.

Property change listeners are handled by the controller.

## ◆ com::sun::star::drawing::XDrawView

interface com::sun::star::drawing::XDrawView

## ◆ com::sun::star::view::XSelectionSupplier

interface com::sun::star::view::XSelectionSupplier

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XDrawSubController.idl